%define upstream_name    Text-BibTeX
%define upstream_version 0.91

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Interface to read and parse BibTeX files 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.60.0
BuildRequires: perl(Config::AutoConf) >= 0.320.0
BuildRequires: perl(Cwd)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::CBuilder) >= 0.270.0
BuildRequires: perl(ExtUtils::LibBuilder) >= 0.20.0
BuildRequires: perl(File::Copy)
BuildRequires: perl(Module::Build) >= 0.360.300
BuildRequires: perl(Scalar::Util) >= 1.420.0
BuildRequires: perl(Unicode::Normalize)
BuildRequires: perl-devel
BuildRequires: chrpath
%description
The Text::BibTeX module serves mainly as a high-level introduction to the
Text::BibTeX library, for both code and documentation purposes. The code loads
the two fundamental modules for processing BibTeX files (Text::BibTeX::File and
Text::BibTeX::Entry), and this documentation gives a broad overview of the
whole library that isn't available in the documentation for the individual
modules that comprise it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
perl -pi -e 's|#!/usr/local/bin/perl5?|#!/usr/bin/perl|' scripts/* examples/*

%build
perl Build.PL --installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%check
./Build test

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete
%{_fixperms} $RPM_BUILD_ROOT/*
chrpath -d $RPM_BUILD_ROOT%{_bindir}/*

%files
%doc Changes META.json META.yml MYMETA.yml README THANKS examples
%{perl_vendorarch}/Text
%{perl_vendorarch}/auto/Text
%{_mandir}/*/*
%{_bindir}/*
%{_libdir}/libbtparse.so
%{_includedir}/*.h

%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.910.0-2.mga10
+ Revision: 2235545
- Mageia 10 Mass Rebuild

* Tue Feb 04 2025 tv <tv> 0.910.0-1.mga10
+ Revision: 2145177
- update to 0.91

* Sat Jan 25 2025 tv <tv> 0.900.0-1.mga10
+ Revision: 2142358
- update to 0.90

* Fri Aug 23 2024 tv <tv> 0.890.0-3.mga10
+ Revision: 2089652
- Rebuild for perl-5.40

* Fri Dec 01 2023 tv <tv> 0.890.0-2.mga10
+ Revision: 2012429
- Rebuild for perl-5.38

* Fri Feb 03 2023 tv <tv> 0.890.0-1.mga9
+ Revision: 1937942
- update to 0.89

* Thu Aug 04 2022 tv <tv> 0.880.0-6.mga9
+ Revision: 1875112
- Rebuild for perl-5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.880.0-5.mga9
+ Revision: 1796673
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 joequant <joequant> 0.880.0-4.mga9
+ Revision: 1759254
- add chrpath
- update build

* Sat Jul 18 2020 tv <tv> 0.880.0-3.mga8
+ Revision: 1607000
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Sat Feb 15 2020 umeabot <umeabot> 0.880.0-2.mga8
+ Revision: 1526805
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 shlomif <shlomif> 0.880.0-1.mga8
+ Revision: 1415767
- update to 0.88

* Sun Apr 07 2019 tv <tv> 0.870.0-1.mga7
+ Revision: 1386685
- update to 0.87

* Sun Mar 31 2019 tv <tv> 0.860.0-1.mga7
+ Revision: 1383847
- update to 0.86

* Fri Sep 21 2018 umeabot <umeabot> 0.850.0-4.mga7
+ Revision: 1293878
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.850.0-3.mga7
+ Revision: 1250437
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.850.0-2.mga7
+ Revision: 1166948
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.850.0-1.mga7
+ Revision: 1159106
- update to 0.85

* Sun May 08 2016 shlomif <shlomif> 0.720.0-1.mga6
+ Revision: 1010822
- update to 0.72

* Fri Feb 12 2016 umeabot <umeabot> 0.710.0-3.mga6
+ Revision: 958079
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.710.0-2.mga6
+ Revision: 845314
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.710.0-1.mga6
+ Revision: 841449
- update to 0.71

* Sat Oct 18 2014 umeabot <umeabot> 0.700.0-4.mga5
+ Revision: 788230
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.700.0-3.mga5
+ Revision: 744508
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.700.0-2.mga5
+ Revision: 686598
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 sander85 <sander85> 0.700.0-1.mga5
+ Revision: 670904
- update to 0.70

* Tue Jun 03 2014 pterjan <pterjan> 0.690.0-2.mga5
+ Revision: 631758
- Rebuild for perl 5.20

* Fri Feb 28 2014 jquelin <jquelin> 0.690.0-1.mga5
+ Revision: 597871
- update to 0.69

* Mon Feb 24 2014 jquelin <jquelin> 0.670.0-1.mga5
+ Revision: 596371
- update to 0.67

* Sat Oct 19 2013 umeabot <umeabot> 0.660.0-4.mga4
+ Revision: 524542
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.660.0-3.mga4
+ Revision: 430971
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.660.0-2.mga3
+ Revision: 373997
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.660.0-1.mga3
+ Revision: 315895
- update to 0.66

* Fri Sep 28 2012 jquelin <jquelin> 0.650.0-1.mga3
+ Revision: 298950
- update to 0.65

* Thu Jul 12 2012 jquelin <jquelin> 0.640.0-1.mga3
+ Revision: 270333
- update to 0.64

* Tue Jun 05 2012 jquelin <jquelin> 0.630.0-1.mga3
+ Revision: 255533
- update to 0.63

* Wed May 30 2012 jquelin <jquelin> 0.620.0-2.mga3
+ Revision: 251214
- rebuild for perl 5.16

* Wed Jan 25 2012 jquelin <jquelin> 0.620.0-1.mga2
+ Revision: 201065
- update to 0.62

* Wed Nov 09 2011 jquelin <jquelin> 0.610.0-1.mga2
+ Revision: 165847
- no need to clean buildroot
- update to 0.60
+ takashi <takashi>
- update to 0.61

* Wed Jun 22 2011 jquelin <jquelin> 0.580.0-1.mga2
+ Revision: 112300
- update to 0.58

* Fri Jun 17 2011 jquelin <jquelin> 0.570.0-1.mga2
+ Revision: 109164
- update to 0.57

* Wed Jun 15 2011 jquelin <jquelin> 0.560.0-1.mga2
+ Revision: 107481
- update to 0.56

* Sun Jun 12 2011 sander85 <sander85> 0.540.0-2.mga2
+ Revision: 105037
- Rebuild for perl 5.14

* Tue Apr 19 2011 jquelin <jquelin> 0.540.0-1.mga1
+ Revision: 88678
- update to 0.54

* Sun Mar 13 2011 jquelin <jquelin> 0.530.0-1.mga1
+ Revision: 70501
- update to 0.53

* Sat Feb 26 2011 jquelin <jquelin> 0.520.0-1.mga1
+ Revision: 60373
- update to 0.52

* Sat Jan 22 2011 jquelin <jquelin> 0.480.0-1.mga1
+ Revision: 31293
- mageia rebuild
- imported package perl-Text-BibTeX


* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.480.0-1mdv2011.0
+ Revision: 596686
- update to 0.48

* Sat Aug 28 2010 Jérôme Quelin <jquelin@mandriva.org> 0.460.0-1mdv2011.0
+ Revision: 573804
- update to 0.46

* Thu Jul 22 2010 Jérôme Quelin <jquelin@mandriva.org> 0.450.0-3mdv2011.0
+ Revision: 556821
- bump mkrel
- fix upstream rt#59602 - remove unwanted buildrequires
- rebuild for perl 5.12
- update to 0.45

* Sun Mar 21 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.430.0-1mdv2010.1
+ Revision: 526035
- new version

* Wed Mar 17 2010 Jérôme Quelin <jquelin@mandriva.org> 0.420.0-1mdv2010.1
+ Revision: 523440
- update to 0.42

* Mon Mar 15 2010 Jérôme Quelin <jquelin@mandriva.org> 0.410.0-1mdv2010.1
+ Revision: 519961
- update to 0.41

* Fri Mar 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.400.0-2mdv2010.1
+ Revision: 518459
- ship debug files in -debug

* Wed Mar 10 2010 Jérôme Quelin <jquelin@mandriva.org> 0.400.0-1mdv2010.1
+ Revision: 517550
- adding missing buildrequires:
- adding missing buildrequires:
- update to 0.40

* Sun Aug 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.380.0-1mdv2010.0
+ Revision: 419928
- new perl version macro
- update Makefile patch for fuziness

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.38-1mdv2009.1
+ Revision: 292356
- update to new version 0.38

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.37-6mdv2009.0
+ Revision: 258611
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.37-5mdv2009.0
+ Revision: 246624
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.37-3mdv2008.1
+ Revision: 152328
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.37-2mdv2008.1
+ Revision: 123760
- kill re-definition of %%buildroot on Pixel's request


* Thu Nov 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.37-2mdv2007.0
+ Revision: 84655
- bump release
- fix x86_64 build
- new version
- Import perl-Text-BibTeX

* Wed Aug 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.36-3mdv2007.0
- Rebuild

* Sat Apr 29 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.36-2mdk
- Fix SPEC according to Perl Policy
	- Source URL
- use mkrel

* Wed Aug 17 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.36-1mdk
- New release 0.36
- buildrequires
- rediff patches

* Tue Jun 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-1mdk 
- first mdk release

